<?php
if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( ! class_exists( 'Keon_Toolset_Template_Library_Car_Dealer' ) ) {

    /**
     * Functions related to Car_Dealer Template
     * @since 1.0.0
     *
     */

    class Keon_Toolset_Template_Library_Car_Dealer extends Keon_Toolset_Template_Library_Base{
        
        /**
         * Gets an instance of this object.
         * Prevents duplicate instances which avoid artefacts and improves performance.
         *
         * @static
         * @access public
         * @since 1.0.0
         * @return object
         */
        public static function get_instance() {

            // Store the instance locally to avoid private static replication
            static $instance = null;

            // Only run these methods if they haven't been ran previously
            if ( null === $instance ) {
                $instance = new self();
            }

            // Always return the instance
            return $instance;

        }

        /**
         * Load block library
         * Used for blog template loading
         *
         * @since      1.0.0
         *
         * @param $templates_list array
         * @return array
         */
        public function add_keon_template( $templates_list ){

            $pro_state = get_state();
            $theme_slug = keon_toolset_get_theme_slug();
            
            if( isset($pro_state[$theme_slug]['car-dealer'])){
                $is_pro = $pro_state[$theme_slug]['car-dealer'];
            }else{
                $is_pro = true;
            }

            $keon_library_list = array(
                array(
                    'title'             => __( 'Car Dealer', 'keon-toolset' ),
                    'is_pro'            => $is_pro,
                    'pro_url'           => 'https://keonthemes.com/downloads/gutener-pro',
                    'type'              => 'template',
                    'author'            => __( 'Keon Themes', 'keon-toolset' ),
                    'keywords'          => array( 'car dealer', 'car dealer 1' ),
                    'categories'        => array( 'car dealer' ),
                    'template_url'      => KEON_TEMPLATE_URL.'includes/template-data/templates/gutener-car-dealer.json',
                    'screenshot_url'    => 'https://demo.keonthemes.com/gutener/screenshots/demo5/gutener-car-dealer-760-460.jpg',
                    'demo_url'    => 'https://demo.keonthemes.com/gutener/demo5/'
                ),
            );
            return array_merge_recursive( $keon_library_list, $templates_list );
        }
    }
}
Keon_Toolset_Template_Library_Car_Dealer::get_instance()->run();